function validateCredentials() {

    var key = document.getElementById('txtKey').value;

    var url = document.getElementById('txtURL').value;

    var username = document.getElementById('txtUserName').value;

    var password = document.getElementById('txtPassword').value;

    var reTypedPassword = document.getElementById('txtRetypePassword').value;

    if (key == '') {
        CARBON.showWarningDialog("Unique name to represent a JIRA account is mandatory");
        return false;
    }

    if (url == '') {
        CARBON.showWarningDialog("JIRA url is mandatory");
        return false;
    }

    if (username == '') {
        CARBON.showWarningDialog("Username is mandatory");
        return false;
    }

    if (password == '') {
        CARBON.showWarningDialog("Password is mandatory");
        return false;
    }

    if (reTypedPassword == '') {
        CARBON.showWarningDialog("Please retype the password");
        return false;
    }

    if (password != reTypedPassword) {
        CARBON.showWarningDialog("Password and Password Repeat donot match. Please re-enter.");
        return false;
    }

    return true;


}


function validateLoginForm() {

    var key = document.getElementById('txtKey').value;

    var url = document.getElementById('txtURL').value;

    var username = document.getElementById('txtUserName').value;

    var password = document.getElementById('txtPassword').value;

    var reTypedPassword = document.getElementById('txtRetypePassword').value;

    var invalid = " ";

    if (key == '') {
        CARBON.showWarningDialog("Unique name to represent a JIRA account is mandatory");
        return false;
    }

    // check for spaces
    if (key.indexOf(invalid) > -1) {
        CARBON.showWarningDialog("Sorry, spaces are not allowed in key.");
        return false;
    }

    if (url == '') {
        CARBON.showWarningDialog("JIRA url is mandatory");
        return false;
    }

    if (username == '') {
        CARBON.showWarningDialog("Username is mandatory");
        return false;
    }

    if (password == '') {
        CARBON.showWarningDialog("Password is mandatory");
        return false;
    }

    if (reTypedPassword == '') {
        CARBON.showWarningDialog("Please retype the password");
        return false;
    }

    if (password != reTypedPassword) {
        CARBON.showWarningDialog("Password and Password Repeat donot match. Please re-enter.");
        return false;
    }

    document.forms["accountForm"].submit();

    return true;
}


function validateIssue() {


    var summary = document.getElementById("summary");

    var account = document.getElementById("accountNames").value;

    var project = document.getElementById("projectList").value;

    var type=  document.getElementById("type").value;


    if (account == '--Select--') {
        CARBON.showWarningDialog("Please select a JIRA account.\nIf you have not already created an account go to Issue " +
                "Tracker -> Accounts and create a new account.");
        return false;
    }

    if (project == '--Select--') {
        CARBON.showWarningDialog("Please select a project");
        return false;
    }


    if (summary == '') {
        CARBON.showWarningDialog("Summary is mandatory");
        return false
    }

    if (type == '--Select--') {
        CARBON.showWarningDialog("type is mandatory");
        return false
    }

    return true;

}

